Debian Bug report logs - #618490
tclconfig.sh needs to be available for cross-building

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Wookey <wookey@wookware.org>

Date: Tue, 15 Mar 2011 16:24:02 UTC

Severity: normal

Found in version dpkg-cross/2.5.8

Fixed in version dpkg-cross/2.6.3

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#618490; Package dpkg-cross. (Tue, 15 Mar 2011 16:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Tue, 15 Mar 2011 16:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: submit@bugs.debian.org
Subject: tclconfig.sh needs to be available for cross-building
Date: Tue, 15 Mar 2011 16:21:24 +0000
[Message part 1 (text/plain, inline)]
Package: dpkg-cross
Version: 2.5.8
Severity: normal

tcl uses a tcl script contianing a load of declarations to pass
build-time configuration information to packages with depend on it.

So tclconfig.sh needs to be present for cross-building against tcl to
work. Unfortunately this breaks dpkg-cross's assumptions about what
should/should not be copied over when a package is crossed.

The attached patch ensures that tclconfig.sh is copied over into 
/usr/<triplet>/lib/tcl<ver>/tclconfig.sh

Then everything building against tcl builds just fine.

I acknowledge that this fix is not pretty and is a special case for
tcl, but the alternative is some kind of config file (a bit like
/etc/dpkg-cross/config.cache) which lists exception files to be copied
over.

That fix would be worth doing if dpkg-cross wasn't about to be
pretty-much superceded by multiarch over the release cycle, so I think
a bit of expediency with this sort of thing is OK. It works, and is
unintrusive (unlike the other alternative of copying over everything
in /usr/lib/<package>/lib (which brings a lot of
currently-happily-ignored packages into dpkg-cross's purview.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[dpkg-cross-tclfix (text/plain, attachment)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 26 Mar 2011 13:51:04 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 02 Apr 2011 13:36:12 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sat, 02 Apr 2011 13:36:12 GMT) Full text and rfc822 format available.

Message #12 received at 618490-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 618490-close@bugs.debian.org
Subject: Bug#618490: fixed in dpkg-cross 2.6.3
Date: Sat, 02 Apr 2011 13:32:18 +0000
Source: dpkg-cross
Source-Version: 2.6.3

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.6.3.dsc
  to main/d/dpkg-cross/dpkg-cross_2.6.3.dsc
dpkg-cross_2.6.3.tar.gz
  to main/d/dpkg-cross/dpkg-cross_2.6.3.tar.gz
dpkg-cross_2.6.3_all.deb
  to main/d/dpkg-cross/dpkg-cross_2.6.3_all.deb
libdebian-dpkgcross-perl_2.6.3_all.deb
  to main/d/dpkg-cross/libdebian-dpkgcross-perl_2.6.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618490@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Apr 2011 19:54:09 +0100
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.6.3
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 618488 618490 619400
Changes: 
 dpkg-cross (2.6.3) unstable; urgency=low
 .
   [ Neil Williams ]
   * Drop old apt-cross multiarch behaviour - outdated.
 .
   [ Wookey ]
   * Add (interim) --convert-multiarch behaviour to cross even
     multiarch packages (Closes: #619400)
   * Drop X11R6 lib/include dirs as they are no longer present
 .
   [ Neil Williams ]
   * Drop unsupported variables from config file
   * Correct the value for libIDL_cv_long_long_format in /etc/dpkg-
     cross/cross-config.cache. (Closes: #618488)
   * Add tclconfig.sh to the list of interesting files for
     cross-building. (Closes: #618490)
   * Fix some unitialised variables in rarely used -Q option dpkg-cross
   * Fix handling of arch-dependent include headers under multi-arch only
     support.
Checksums-Sha1: 
 71f3be23798c7adda09762cab5dbfcc27eb9ee4b 1209 dpkg-cross_2.6.3.dsc
 ebb38972a7804d2a835840ce1afba1689b56be98 75766 dpkg-cross_2.6.3.tar.gz
 c5c8a1e8bd28cec8aa0e36f22b938595d3b50e4a 53116 dpkg-cross_2.6.3_all.deb
 954dd8f37d8c5e86abe2cd820ab1f4ca63502079 28976 libdebian-dpkgcross-perl_2.6.3_all.deb
Checksums-Sha256: 
 d512982fe4109d8f2d1625f185ad434f679cd6d62543c70c2bae5fc66ad84dad 1209 dpkg-cross_2.6.3.dsc
 72694dbd761ac0cce64c00a2cfe3a720f34060450b86303739dcea253f3f21f6 75766 dpkg-cross_2.6.3.tar.gz
 6f8a62ffeba1569abfa797fde759bac9472c3be48766e375af61c085795bc25f 53116 dpkg-cross_2.6.3_all.deb
 5cdc2e627cfc0f94287237ce21ca89573899cf80260e61193d06be1d7d393e57 28976 libdebian-dpkgcross-perl_2.6.3_all.deb
Files: 
 47e9efeeaa780d70892d71e99758a645 1209 utils extra dpkg-cross_2.6.3.dsc
 97f6c922f09f10086a38ba8ff6967af0 75766 utils extra dpkg-cross_2.6.3.tar.gz
 4a0aed4bfaa9f969ae9c7ca5a5fe0197 53116 utils extra dpkg-cross_2.6.3_all.deb
 5cc039f8e0c2aa5e4dce61cc10cfbd76 28976 perl extra libdebian-dpkgcross-perl_2.6.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2XIcwACgkQiAEJSii8s+O4DQCeOVq1d8mtyU95bWtaiRK7Ar+9
AtYAn2YCxwqPAYZqrz0VWXwtyVwGHXpW
=Vip2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 May 2011 07:40:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:15:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.